PHP is amongst the most widely used open-source web programming languages. It is quite popular since it’s free software, which you can use to create interactive websites like social networking websites, online shopping portals or online learning websites as opposed to static HTML websites. A PHP module should be enabled on the web server where a PHP site is hosted so that its code can be read. As there are no license taxes for this kind of module and the language itself provides incalculable options for the applications that you create, there are 100s of millions of PHP-powered websites. In addition, there’re loads of PHP scripts, which you can use for your websites without having to possess any coding abilities. Since there are a few PHP versions, you have to ensure that the very same version that you used whilst setting up your website is installed on the web server too.
PHP 4 and PHP 5 Support in Website Hosting
Our website hosting servers support different PHP versions, which suggests that your websites will run properly no matter if your PHP scripts are outdated. We know that an old website doesn’t automatically mean an insecure one as you may have performed a lot of source code mods. This is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which one will be enabled for your shared web hosting account. You can change the version with one single mouse click within your Hepsia Control Panel and the update will be applied momentarily. In case you would like to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domains simultaneously.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
In case you’ve got a website based on an earlier version of PHP and you have contributed time and energy toward setting it up, filling security breaches and embedding page content, you will need a web hosting service that can support it, since the great majority of hosting providers nowadays offer only the most recent version of PHP and give up the older versions. We, however, have decided to permit you to select the version that your own websites need. Our semi-dedicated servers support multiple versions of PHP 5 and PHP 4, which implies that you will be able to run both newer and older scripts without losing any manual tweaks or wasting time and energy trying to make your sites compatible with the hosting environment. You can change the version via the Hepsia Control Panel and such an update will affect the whole semi-dedicated server account, but you’ll also have the ability to set a different version of PHP for each website hosted in your account by means of an .htaccess file.